---
name: Bug report
about: Create a report to help us improve
title: ''
labels: ''
assignees: ''

---

**Describe the bug**
A clear and concise description of what the bug is.

**To Reproduce**
Steps to reproduce the behavior.  Please include all relevant context about
what you were doing, including the host, plugins (if applicable).  If you are
willing to upload your project folder as a zip file, it will be very helpful,
but we understand if you are not willing.

**Expected behavior**
A clear and concise description of what you expected to happen.

**Screenshots**
If applicable, add screenshots to help explain your problem.

**Hardware and operating system**
CPU: vendor (Intel, AMD, etc...), model (Ryzen 5950x, Core i7 12345, etc...)
Memory: GB (4, 8, 16, etc...)
Form factor: laptop, desktop, mini-PC
CPU arch: x86, ARM
Mac OS X: version
Windows: version 7/8/10/11
Linux:
  distro (Ubuntu, Fedora, etc...)
  Desktop Environment: (Gnome, KDE, etc...)
  X11 or Wayland

**Additional context**
Add any other context about the problem here.

**Attach your log file**
Located at `$HOME/stargate/log/stargate.log`.  This is very useful for
developers to fix any bugs you might have encountered.  None of the
information in the log should be sensitive, but feel free to review the log
first before uploading, optionally you can look for ERRORs and stack traces
and just add those to the ticket if you prefer not to upload the entire log.
Please zip or tar.gz the file first.

